import { DoubleDeckPopover, FcrPopover } from '.';
import { FcrButton } from '../button';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
var meta = {
  title: 'Components/Popover',
  tags: ['autodocs'],
  argTypes: {
    content: {
      control: 'text'
    },
    placement: {
      control: 'radio',
      options: ['top', 'right', 'bottom', 'left']
    }
  }
};
export var Basic = {
  render: function render() {
    return /*#__PURE__*/_jsxs("div", {
      children: [/*#__PURE__*/_jsx(FcrPopover, {
        showArrow: true,
        trigger: "click",
        content: '123',
        placement: "bottom",
        children: /*#__PURE__*/_jsx(FcrButton, {
          size: "XS",
          children: "FcrPopover"
        })
      }), /*#__PURE__*/_jsx(DoubleDeckPopover, {
        trigger: "click",
        children: /*#__PURE__*/_jsx(FcrButton, {
          size: "XS",
          children: "FcrDoubleDeckPopover"
        })
      })]
    });
  }
};
export default meta;